SUSE SLED12 Security Update : flash-player (SUSE-SU-2017:1238-1)

This script is Copyright (C) 2017 Tenable Network Security, Inc.


Synopsis :

The remote SUSE host is missing one or more security updates.

Description :

This update for flash-player fixes the following issues :

- Security update to 25.0.0.171 (bsc#1038281), fixing the
following vulnerabilities advised under APSB17-15 :

- Use-after-free vulnerability that could lead to code
execution (CVE-2017-3071).

- Memory corruption vulnerabilities that could lead to
code execution (CVE-2017-3068, CVE-2017-3069,
CVE-2017-3070, CVE-2017-3072, CVE-2017-3073,
CVE-2017-3074).

- Details:
https://helpx.adobe.com/security/products/flash-player/a
psb17-15.html

Note that Tenable Network Security has extracted the preceding
description block directly from the SUSE security advisory. Tenable
has attempted to automatically clean and format it as much as possible
without introducing additional issues.

See also :

https://bugzilla.suse.com/1038281
https://helpx.adobe.com/security/products/flash-player/apsb17-15.html
https://www.suse.com/security/cve/CVE-2017-3068.html
https://www.suse.com/security/cve/CVE-2017-3069.html
https://www.suse.com/security/cve/CVE-2017-3070.html
https://www.suse.com/security/cve/CVE-2017-3071.html
https://www.suse.com/security/cve/CVE-2017-3072.html
https://www.suse.com/security/cve/CVE-2017-3073.html
https://www.suse.com/security/cve/CVE-2017-3074.html
http://www.nessus.org/u?b3f43af8

Solution :

To install this SUSE Security Update use YaST online_update.
Alternatively you can run the command listed for your product :

SUSE Linux Enterprise Workstation Extension 12-SP1:zypper in -t patch
SUSE-SLE-WE-12-SP1-2017-738=1

SUSE Linux Enterprise Desktop 12-SP1:zypper in -t patch
SUSE-SLE-DESKTOP-12-SP1-2017-738=1

To bring your system up-to-date, use 'zypper patch'.

Risk factor :

Critical / CVSS Base Score : 10.0
(CVSS2#AV:N/AC:L/Au:N/C:C/I:C/A:C)
CVSS Temporal Score : 7.8
(CVSS2#E:POC/RL:OF/RC:ND)
Public Exploit Available : true

Family: SuSE Local Security Checks

Nessus Plugin ID: 100122 ()

Bugtraq ID:

CVE ID: CVE-2017-3068
CVE-2017-3069
CVE-2017-3070
CVE-2017-3071
CVE-2017-3072
CVE-2017-3073
CVE-2017-3074

Ready to Amp Up Your Nessus Experience?

Get Nessus Professional to scan unlimited IPs, run compliance checks & more

Buy Nessus Professional Now